searchData={"items":[{"type":"module","title":"CNFT","doc":"CNFT is a module for handling transactions related to creating, minting, and transferring NFTs on the Solana blockchain.\n\nThis module uses Rustler to interface with native Rust code for performance-critical operations.","ref":"CNFT.html"},{"type":"function","title":"CNFT.create/2","doc":"Creates a tree transaction and logs the result.","ref":"CNFT.html#create/2"},{"type":"function","title":"Parameters - CNFT.create/2","doc":"- rpc_client: The RPC client to interact with the Solana blockchain.\n  - payer: The account that will pay for the transaction.","ref":"CNFT.html#create/2-parameters"},{"type":"function","title":"CNFT.create_tree_transaction/2","doc":"Creates a tree transaction.","ref":"CNFT.html#create_tree_transaction/2"},{"type":"function","title":"Parameters - CNFT.create_tree_transaction/2","doc":"- rpc_client: The RPC client to interact with the Solana blockchain.\n  - payer: The account that will pay for the transaction.","ref":"CNFT.html#create_tree_transaction/2-parameters"},{"type":"function","title":"Returns - CNFT.create_tree_transaction/2","doc":"- A transaction data structure.","ref":"CNFT.html#create_tree_transaction/2-returns"},{"type":"function","title":"CNFT.mint/8","doc":"Mints a new NFT and logs the result.","ref":"CNFT.html#mint/8"},{"type":"function","title":"Parameters - CNFT.mint/8","doc":"- rpc_client: The RPC client to interact with the Solana blockchain.\n  - tree: The tree structure where the NFT will be minted.\n  - owner: The account that will own the minted NFT.\n  - payer: The account that will pay for the transaction.\n  - name: The name of the NFT.\n  - symbol: The symbol of the NFT.\n  - uri: The URI pointing to the NFT metadata.\n  - nounce: A unique identifier for the minting process.","ref":"CNFT.html#mint/8-parameters"},{"type":"function","title":"CNFT.mint_transaction/8","doc":"Mints a new NFT.","ref":"CNFT.html#mint_transaction/8"},{"type":"function","title":"Parameters - CNFT.mint_transaction/8","doc":"- rpc_client: The RPC client to interact with the Solana blockchain.\n  - tree: The tree structure where the NFT will be minted.\n  - owner: The account that will own the minted NFT.\n  - payer: The account that will pay for the transaction.\n  - name: The name of the NFT.\n  - symbol: The symbol of the NFT.\n  - uri: The URI pointing to the NFT metadata.\n  - nounce: A unique identifier for the minting process.","ref":"CNFT.html#mint_transaction/8-parameters"},{"type":"function","title":"Returns - CNFT.mint_transaction/8","doc":"- A transaction data structure.","ref":"CNFT.html#mint_transaction/8-returns"},{"type":"function","title":"CNFT.transfer/5","doc":"Transfers an NFT to a new owner and logs the result.","ref":"CNFT.html#transfer/5"},{"type":"function","title":"Parameters - CNFT.transfer/5","doc":"- rpc_client: The RPC client to interact with the Solana blockchain.\n  - asset: The NFT asset to be transferred.\n  - owner: The current owner of the NFT.\n  - payer: The account that will pay for the transaction.\n  - receiver: The account that will receive the NFT.","ref":"CNFT.html#transfer/5-parameters"},{"type":"function","title":"CNFT.transfer_transaction/5","doc":"Transfers an NFT to a new owner.","ref":"CNFT.html#transfer_transaction/5"},{"type":"function","title":"Parameters - CNFT.transfer_transaction/5","doc":"- rpc_client: The RPC client to interact with the Solana blockchain.\n  - asset: The NFT asset to be transferred.\n  - owner: The current owner of the NFT.\n  - payer: The account that will pay for the transaction.\n  - receiver: The account that will receive the NFT.","ref":"CNFT.html#transfer_transaction/5-parameters"},{"type":"function","title":"Returns - CNFT.transfer_transaction/5","doc":"- A transaction data structure.","ref":"CNFT.html#transfer_transaction/5-returns"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}